package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Allergy;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 药物过敏史描述不完整
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0040 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<Allergy> allergies = inputInfo.getBeHospitalizedDoc().getPastLabel().getAllergies();
        if (ListUtil.isEmpty(allergies)) {
            return;
        }
        for (Allergy allergy : allergies) {
            if (allergy == null
                    || StringUtil.isBlank(allergy.getName())
                    || allergy.getAllergyMedicine() == null
                    || StringUtil.isBlank(allergy.getAllergyMedicine().getName())) {
                continue;
            }
            if ((allergy.getNegative() == null || StringUtil.isBlank(allergy.getNegative().getName()))
                    && (allergy.getAllergyMedicine().getPd() == null || StringUtil.isBlank(allergy.getAllergyMedicine().getPd().getName()))
                    && (allergy.getAllergyMedicine().getDegree() == null || StringUtil.isBlank(allergy.getAllergyMedicine().getDegree().getName()))
                    && (allergy.getAllergyMedicine().getAllergyDesc() == null || StringUtil.isBlank(allergy.getAllergyMedicine().getAllergyDesc().getName()))) {
                info.set(info.get() + allergy.getAllergyMedicine().getName() + " ");
            }
        }
        if (StringUtil.isNotBlank(info.get())) {
            status.set("-1");
        }
    }

}