package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Smoking;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 吸烟史未描述
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0046 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        Smoking smoking = inputInfo.getBeHospitalizedDoc().getPersonalLabel().getSmoking();
        if (smoking != null && StringUtil.isNotBlank(smoking.getName())) {
            status.set("0");
        }
    }

}