package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.Map;


/**
 * @ClassName : BEH0440
 * @Description : 入院记录户口地址未填写
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0440 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        Map<String, String> bhMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if(bhMap != null){
            if(bhMap.containsKey("户口地址")){
                if(!CatalogueUtil.isEmpty(bhMap.get("户口地址"))){
                    status.set("0");
                }
            }
        }
    }
}