package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.GeneralDesc;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @ClassName : BEH0444
 * @Description :  现病史缺少发病以来精神状态描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0444 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        List<GeneralDesc> generals = inputInfo.getBeHospitalizedDoc().getPresentLabel().getGenerals();
        if(generals.size() > 0 || generals != null){
            for (GeneralDesc general:generals) {
                if(general.getName().contains("精神") || general.getName().contains("神志")){
                    status.set("0");
                    break;
                }
            }
        }

    }
}