package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH0458
 * @Description :  既往史缺成瘾药物用药情况
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0458 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        status.set("0");
        Map<String, String> bhMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if(bhMap != null){
            String birthDate = bhMap.get("长期用药情况\\(包括可能成瘾的药物\\)");
            if(birthDate != null){
                if(CatalogueUtil.isEmpty(birthDate)){
                    status.set("-1");
                }
            }else {
                status.set("-1");
            }
        }

    }
}