package com.lantone.qc.kernel.catalogue.behospitalized;

import com.google.common.collect.Lists;
import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Family;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * @ClassName : BEH0472
 * @Description :  月经史未描述生育情况
 * @Author : 胡敬
 * @Date: 2020-03-26 20:14
 */
@Component
public class BEH0472 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        Map<String, String> beHospitalStructureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (beHospitalStructureMap != null) {
            if (beHospitalStructureMap.get("性别") == null || beHospitalStructureMap.get("性别").contains("男")){
                status.set("0"); //如果性别是男,就不报错
                return;
            }
            boolean fertilitySituation = StringUtil.isBlank(beHospitalStructureMap.get("存活"))
                    || StringUtil.isBlank(beHospitalStructureMap.get("顺产(足月)"))
                    || StringUtil.isBlank(beHospitalStructureMap.get("早产"))
                    || StringUtil.isBlank(beHospitalStructureMap.get("流产"));
            if (fertilitySituation) {
                status.set("-1");
            }
        }
    }
}