package com.lantone.qc.kernel.catalogue.crisisvaluereport;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.CrisisValueReportDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;

/**
 * @Description: 危急值记录中无报告时间
 * @author: rengb
 * @time: 2020/3/19 19:54
 */
public class CRI0383 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<CrisisValueReportDoc> crisisValueReportDocs = inputInfo.getCrisisValueReportDocs();
        if (ListUtil.isNotEmpty(crisisValueReportDocs)) {
            crisisValueReportDocs.forEach(crisisValueReportDoc -> {
                if (StringUtil.isBlank(crisisValueReportDoc.getStructureMap().get("报告时间"))) {
                    status.set("-1");
                }
            });
        }
    }

}