package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRC0087
 * @Description : 无鉴别诊断
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRC0087 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if(firstCourseRecordDoc != null){
            Map<String, String> courseRecordDocStructureMap = firstCourseRecordDoc.getStructureMap();
            if(courseRecordDocStructureMap != null){
                String tretment_plan = courseRecordDocStructureMap.get("鉴别诊断");
                if(StringUtils.isEmpty(tretment_plan)){
                    status.set("-1");
                }
            }
        }
    }
}