package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.ListUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0179
 * @Description :入院病情未填写
 * @Author : 胡敬
 * @Date: 2020-03-17 15:53
 */
@Component
public class FIRP0179 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            List<Map<String, String>> outpatientEmergencyDiags = (List) firstpageStructureMap.get(Content.outpatientEmergencyDiag);
            if (ListUtil.isNotEmpty(outpatientEmergencyDiags)) {
                for (Map<String, String> outpatientEmergencyDiag:outpatientEmergencyDiags) {
                    if (!CatalogueUtil.isEmpty(outpatientEmergencyDiag.get(Content.inStatus))){
                        status.set("0");
                        return;
                    }
                }
            }
        }
    }
}