package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.ListUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0182
 * @Description :病理诊断未填写
 * @Author : 胡敬
 * @Date: 2020-03-16 20:11
 */
@Component
public class FIRP0182 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            List<Map<String, String>> pathologyDiagnose = (List) firstpageStructureMap.get(Content.pathologyDiagnose);
            if (ListUtil.isNotEmpty(pathologyDiagnose)) {
                status.set("0");
            }
        }
    }
}