package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0187
 * @Description :患者尸检填写错误
 * @Author : 胡敬
 * @Date: 2020-03-17 17:04
 */
@Component
public class FIRP0187 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            String outWay = firstpageStructureMap.get(Content.outWay).toString();
            String deadAutopsy = firstpageStructureMap.get(Content.deadAutopsy).toString();
            if (!CatalogueUtil.isEmpty(outWay) && !outWay.contains("死亡") && !CatalogueUtil.isEmpty(deadAutopsy)){
                status.set("-1");
            }
        }
    }
}