package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @ClassName : FIRP0196
 * @Description :颅脑损伤患者昏迷时间未填写
 * @Author : 胡敬
 * @Date: 2020-03-17 16:28
 */
@Component
public class FIRP0196 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            String brainInjuryComaTime = firstpageStructureMap.get(Content.brainInjuryComaTime).toString();
            if (!CatalogueUtil.isEmpty(brainInjuryComaTime)) {
                Pattern digit = Pattern.compile("[\\d|一二三四五六七八九十壹贰叁肆伍陆柒捌玖拾]+");
                Matcher matcher = digit.matcher(brainInjuryComaTime);
                if (!matcher.find()) {
                    status.set("-1");
                }
            }
        }
    }
}