package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0199
 * @Description : 新生儿出生体重未填写
 * @Author : 胡敬
 * @Date: 2020-03-14 16:30
 */
@Component
public class FIRP0199 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String newbornWeight = firstpageStructureMap.get(Content.newbornWeight);
            if (!CatalogueUtil.isEmpty(newbornWeight)){
                status.set("0");
            }
        }
    }
}