package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Diag;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0272
 * @Description : 出院诊断顺序不规范
    与出院小结里的出院诊断顺序做比较
 * @Date: 2020-03-14 16:24
 */
@Component
public class FIRP0272 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if(inputInfo.getLeaveHospitalDoc() != null && inputInfo.getFirstPageRecordDoc() != null){
            //出院诊断
            List<Diag> diags = inputInfo.getLeaveHospitalDoc().getLeaveDiagLabel().getDiags();
            Map<String, Object> firstPageMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            if(firstPageMap != null){
                List<String> outDiags = (List<String>) firstPageMap.get(Content.dischargeDiag);
                if(outDiags != null && diags != null){
                    if(outDiags.size() == diags.size()){
                        if(outDiags.containsAll(diags)){
                            status.set("0");
                        }
                    }
                }else {
                    status.set("0");
                }
            }
        }

    }
}