package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0273
 * @Description : 新生儿年龄错误
 * @Author : 胡敬
 * @Date: 2020-03-14 16:24
 */
@Component
public class FIRP0273 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String newbornAge = firstpageStructureMap.get(Content.newbornAge);
            if (!CatalogueUtil.isEmpty(newbornAge) && Integer.parseInt(newbornAge) <= 28){
                //新生儿年龄单位为天，小于28天算通过
                status.set("0");
            }
        }
    }
}