package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.DateUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 出院记录未在患者出院前完成
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0148 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        String timeQm = inputInfo.getLeaveHospitalDoc().getStructureMap().get("签名时间");
        String timeCy = inputInfo.getLeaveHospitalDoc().getStructureMap().get("出院时间");
        if (StringUtil.isNotBlank(timeQm)
                && StringUtil.isNotBlank(timeCy)
                && DateUtil.parseDate(timeQm).getTime() <= DateUtil.parseDate(timeCy).getTime()) {
            status.set("0");
        }
    }

}