package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Chief;
import com.lantone.qc.pub.model.entity.General;
import com.lantone.qc.pub.model.label.LeaveHospitalLabel;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 出院记录内容缺主诉
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0149 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        LeaveHospitalLabel leaveHospitalLabel = inputInfo.getLeaveHospitalDoc().getLeaveHospitalLabel();
        if (leaveHospitalLabel != null) {
            List<Chief> chiefs = leaveHospitalLabel.getChiefs();
            if (ListUtil.isNotEmpty(chiefs)) {
                long count = chiefs.stream().filter(i -> i != null && StringUtil.isNotBlank(i.getName())).count();
                if (count > 0) {
                    status.set("0");
                }
            }
        }
    }

}