package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 出院记录内容缺出院(死亡)诊断
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0154 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        List<Diag> diags = inputInfo.getLeaveHospitalDoc().getLeaveDiagLabel().getDiags();
        if (ListUtil.isNotEmpty(diags)) {
            long count = diags.stream().filter(i -> i != null && StringUtil.isNotBlank(i.getHospitalDiagName())).count();
            if (count > 0) {
                status.set("0");
            }
        }
    }

}