package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 手术患者缺术前讨论或术前小结
 * @author: 胡敬
 * @time: 2020/3/26 10:23
 */
public class OPE0370 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        boolean isOperativePatient = true;//是手术患者(暂时默认是)
        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
            if (ListUtil.isEmpty(operationDocs)) {
                status.set("-1");
            } else {
                for (OperationDoc operationDoc : operationDocs) {
                    if (operationDoc.getPreoperativeDiscussionDoc() == null) {
                        status.set("-1");
                        return;
                    }
                }
            }
        }
    }

}