package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

/**
 * @Description: 手术开始时间不规范
 * @author: 胡敬
 * @time: 2020/3/28 16:32
 */
public class OPE0630 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        boolean isOperativePatient = true;//是手术患者(暂时默认是)
        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
            if (ListUtil.isNotEmpty(operationDocs)) {
                for (OperationDoc operationDoc : operationDocs) {
                    String operationStartDateStr = operationDoc.getOperationRecordDoc().getStructureMap().get("手术开始时间");
                    if (CatalogueUtil.isEmpty(operationStartDateStr)) {
                        continue;
                    }
                    Date operationStartDate = StringUtil.parseDateTime(CatalogueUtil.removeSpecialChar(operationStartDateStr)
                            , CatalogueUtil.processDateFormat(Content.dateFormats));
                    if (null == operationStartDate) {
                        status.set("-1");
                        return;
                    }
                }
            }
        }
    }

}