package com.lantone.qc.kernel.catalogue.threelevelward;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.ThreeLevelWardDoc;
import com.lantone.qc.pub.model.label.ThreeLevelWardLabel;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : THR0133
 * @Description : 上级医师（主治医师）首次查房无诊疗计划
 * @Author : 胡敬
 * @Date: 2020-03-23 14:16
 */
@Component
public class THR0133 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getThreeLevelWardDocs().size() > 0) {
            List<ThreeLevelWardDoc> threeLevelWardDocs = inputInfo.getThreeLevelWardDocs();
            for (ThreeLevelWardDoc threeLevelWardDoc : threeLevelWardDocs) {
                if (StringUtil.isBlank(threeLevelWardDoc.getThreeLevelWardLabel().getTitle())
                        || !Content.indications.equals(threeLevelWardDoc.getThreeLevelWardLabel().getTitle())) {
                    continue;
                }
                ThreeLevelWardLabel threeLevelWardLabel = threeLevelWardDoc.getThreeLevelWardLabel();
                if (threeLevelWardLabel.getTreatmentPlans().size() == 0) {
                    status.set("-1");
                    return;
                }
            }
        }
    }
}