package com.lantone.qc.kernel.catalogue.threelevelward;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.ThreeLevelWardDoc;
import com.lantone.qc.pub.model.label.ThreeLevelWardLabel;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName : THR0432
 * @Description : 疑难患者上级医师(副高及以上)查房记录无诊疗意见
 * @Author : 胡敬
 * @Date: 2020-03-25 14:16
 */
@Component
public class THR0432 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getThreeLevelWardDocs().size() > 0) {
            List<ThreeLevelWardDoc> threeLevelWardDocs = inputInfo.getThreeLevelWardDocs();
            for (ThreeLevelWardDoc threeLevelWardDoc : threeLevelWardDocs) {
                if (threeLevelWardDoc.getThreeLevelWardLabel().getSerious() != 2) {
                    continue;
                }
                ThreeLevelWardLabel threeLevelWardLabel = threeLevelWardDoc.getThreeLevelWardLabel();
                if (threeLevelWardLabel.getTreatmentPlans().size() == 0) {
                    status.set("-1");
                    return;
                }
            }
        }
    }
}