package com.lantone.qc.kernel.util;

import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.util.StringUtil;
import net.sf.cglib.proxy.Enhancer;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/3/12 18:03
 */
public class DiagEnhancer {

    public static Diag create(String hospitalDiagName) {
        //创建Enhancer对象，类似于JDK动态代理的Proxy类，下一步就是设置几个参数
        Enhancer enhancer = new Enhancer();
        //设置目标类的字节码文件
        enhancer.setSuperclass(Diag.class);
        //设置回调函数
        enhancer.setCallback(new DiagMethodInterceptor());
        if (StringUtil.isNotBlank(hospitalDiagName) && !KernelConstants.hospitalDiagNameList.contains(hospitalDiagName)) {
            KernelConstants.hospitalDiagNameList.add(hospitalDiagName);
        }

        Diag proxyDiag = (Diag) enhancer.create();
        proxyDiag.setHospitalDiagName(hospitalDiagName);
        return proxyDiag;
    }

}