package com.lantone.qc.trans.taizhou;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.DocTrans;

/**
 * @ClassName : TaiZhouDocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
public class TaiZhouDocTrans extends DocTrans {

    @Override
    protected InputInfo extract(QueryVo queryVo) {
        InputInfo inputInfo = new InputInfo();
        for (MedrecVo i : queryVo.getMedrec()) {
            if (i.getTitle().equals("会诊")) {
                TaiZhouConsultationDocTrans consultationDocTrans = new TaiZhouConsultationDocTrans();
                inputInfo.setConsultationDocs(consultationDocTrans.extract(i));
            }
            if (i.getTitle().equals("手术")) {
                TaiZhouOperationDocTrans operationDocTrans = new TaiZhouOperationDocTrans();
                inputInfo.setOperationDocs(operationDocTrans.extract(i));
            }
            if (i.getTitle().equals("转科记录")) {
                TaiZhouTransferRecordDocTrans transferRecordDocTrans = new TaiZhouTransferRecordDocTrans();
                inputInfo.setTransferRecordDocs(transferRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("入院记录")) {
                TaiZhouBeHospitalizedDocTrans beHospitalizedDocTrans = new TaiZhouBeHospitalizedDocTrans();
                inputInfo.setBeHospitalizedDoc(beHospitalizedDocTrans.extract(i));
            }
            if (i.getTitle().equals("输血/血制品病程记录")) {
                TaiZhouClinicalBloodDocTrans clinicalBloodDocTrans = new TaiZhouClinicalBloodDocTrans();
                inputInfo.setClinicalBloodDocs(clinicalBloodDocTrans.extract(i));
            }
            if (i.getTitle().equals("危急值记录")) {
                TaiZhouCrisisValueReportDocTrans crisisValueReportDocTrans = new TaiZhouCrisisValueReportDocTrans();
                inputInfo.setCrisisValueReportDocs(crisisValueReportDocTrans.extract(i));
            }
            if (i.getTitle().equals("病危通知书")) {
                TaiZhouCriticallyIllNoticeDocTrans criticallyIllNoticeDocTrans = new TaiZhouCriticallyIllNoticeDocTrans();
                inputInfo.setCriticallyIllNoticeDocs(criticallyIllNoticeDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡病例讨论记录")) {
                TaiZhouDeathCaseDiscussDocTrans deathCaseDiscussDocTrans = new TaiZhouDeathCaseDiscussDocTrans();
                inputInfo.setDeathCaseDiscussDoc(deathCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡记录")) {
                TaiZhouDeathRecordDocTrans deathRecordDocTrans = new TaiZhouDeathRecordDocTrans();
                inputInfo.setDeathRecordDoc(deathRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("疑难病例讨论记录")) {
                TaiZhouDifficultCaseDiscussDocTrans difficultCaseDiscussDocTrans = new TaiZhouDifficultCaseDiscussDocTrans();
                inputInfo.setDifficultCaseDiscussDocs(difficultCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("医嘱信息")) {
                TaiZhouDoctorAdviceDocTrans doctorAdviceDocTrans = new TaiZhouDoctorAdviceDocTrans();
                inputInfo.setDoctorAdviceDocs(doctorAdviceDocTrans.extract(i));
            }
            if (i.getTitle().equals("值班交接制度")) {
                TaiZhouDutyShiftSystemDocTrans dutyShiftSystemDocTrans = new TaiZhouDutyShiftSystemDocTrans();
                inputInfo.setDutyShiftSystemDocs(dutyShiftSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("首次病程录")) {
                TaiZhouFirstCourseRecordDocTrans firstCourseRecordDocTrans = new TaiZhouFirstCourseRecordDocTrans();
                inputInfo.setFirstCourseRecordDoc(firstCourseRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("病案首页")) {
                TaiZhouFirstPageRecordDocTrans firstPageRecordDocTrans = new TaiZhouFirstPageRecordDocTrans();
                inputInfo.setFirstPageRecordDoc(firstPageRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("出院小结")) {
                TaiZhouLeaveHospitalDocTrans leaveHospitalDocTrans = new TaiZhouLeaveHospitalDocTrans();
                inputInfo.setLeaveHospitalDoc(leaveHospitalDocTrans.extract(i));
            }
            if (i.getTitle().equals("分级护理制度")) {
                TaiZhouNursingSystemDocTrans nursingSystemDocTrans = new TaiZhouNursingSystemDocTrans();
                inputInfo.setNursingSystemDoc(nursingSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("抢救记录")) {
                TaiZhouRescueDocTrans rescueDocTrans = new TaiZhouRescueDocTrans();
                inputInfo.setRescueDocs(rescueDocTrans.extract(i));
            }
            if (i.getTitle().equals("病重通知书")) {
                TaiZhouSeriouslyIllNoticeDocTrans seriouslyIllNoticeDocTrans = new TaiZhouSeriouslyIllNoticeDocTrans();
                inputInfo.setSeriouslyIllNoticeDocs(seriouslyIllNoticeDocTrans.extract(i));
            }
            if (i.getTitle().equals("阶段小结")) {
                TaiZhouStagesSummaryDocTrans stagesSummaryDocTrans = new TaiZhouStagesSummaryDocTrans();
                inputInfo.setStagesSummaryDocs(stagesSummaryDocTrans.extract(i));
            }
            if (i.getTitle().equals("查房记录")) {
                TaiZhouThreeLevelWardDocTrans threeLevelWardDocTrans = new TaiZhouThreeLevelWardDocTrans();
                inputInfo.setThreeLevelWardDocs(threeLevelWardDocTrans.extract(i));
            }
        }
        return inputInfo;
    }

}