package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.ThreeLevelWardDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 查房记录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:27
 */
public class TaiZhouThreeLevelWardDocTrans extends ModelDocTrans {

    @Override
    public List<ThreeLevelWardDoc> extract(MedrecVo medrecVo) {
        List<ThreeLevelWardDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getThreeLevelWardDoc(content));
        });
        return retList;
    }

    private ThreeLevelWardDoc getThreeLevelWardDoc(String content) {
        Map<String, String> structureMap = TzXmlUtil.analysisXmlToMap(content, keyContrasts);

        ThreeLevelWardDoc threeLevelWardDoc = new ThreeLevelWardDoc();
        threeLevelWardDoc.setStructureMap(structureMap);

        return threeLevelWardDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList(
            "NRS营养风险评分=",
            "审核人=",
            "体检=",
            "事件日期=",
            "医生=",
            "查房医师=",
            "简要病情=",
            "事件基本信息=",
            "职务=",
            "年龄=",
            "治疗计划和措施=",
            "主诉=",
            "床号=",
            "病人基本信息=",
            "营养风险总评分=",
            "审核日期=",
            "上级查房医生职称=",
            "性别=",
            "本人姓名=",
            "查房类别=",
            "病历号=",
            "病历日期=",
            "职称=",
            "入院日期=",
            "临床科室=",
            "VTE风险评估=",
            "审核=",
            "病历状态=",
            "VTE评分=",
            "上级医生="
    );

}