package com.lantone.qc.trans.taizhou.util;

import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.FileUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import java.util.List;
import java.util.Map;

/**
 * @Description: xml解析工具
 * @author: rengb
 * @time: 2020/3/28 14:23
 */
public class TzXmlUtil {

    public static Map<String, String> getXmlToMapForTZ(String xml) {
        Map<String, String> retMap = Maps.newHashMap();
        try {
            Document doc = DocumentHelper.parseText(xml);
            List<Element> emrTermElements = doc.getRootElement().element("BLHLNR").element("emr_xml_root").element("TermList").elements("EMR-TERM");
            emrTermElements.forEach(emrTermElement -> {
                retMap.put(
                        StringUtil.removeBlank(emrTermElement.attributeValue("ename")),
                        emrTermElement.getStringValue().trim()
                );
            });
        } catch (Exception e) {
        }
        return retMap;
    }

    public static Map<String, String> analysisXmlToMap(String xml, List<String> keyContrasts) {
        Map<String, String> retMap = Maps.newHashMap();
        Map<String, String> sourceMap = getXmlToMapForTZ(xml);
        String[] arry = null;
        String sourceKey = null, targetKey;
        for (String keyContrast : keyContrasts) {
            arry = keyContrast.split("=");
            sourceKey = arry[0];
            if (arry.length == 1) {
                targetKey = arry[0];
            } else {
                targetKey = arry[1];
            }
            retMap.put(targetKey, sourceMap.get(sourceKey));
        }
        return retMap;
    }

    public static void main(String[] args) {
        String msg = FileUtil.fileRead("C:\\Users\\RGB\\Desktop\\调试\\入院记录.txt");
        Map<String, String> map = getXmlToMapForTZ(msg);
        map.keySet().forEach(key -> {
            System.out.println("\"" + key + "=\",");
        });
    }

}